#include <sta/bus/spi/spi.hpp>

#include <cstdio>

namespace sta
{
    SPI::SPI(const SPISettings & settings, Mutex * mutex /* = nullptr */)
        : Interface{mutex}, settings_{settings}
    {
        
    }

    const SPISettings & SPI::settings()
    {
        return settings_;
    }
} // namespace sta
